///////////////////////////////////////////////////////////////////
// Laboratori d'envol Hang gliding design program
// LEHG-0.2
// 20201003
// Pere Casellas
// Assembly of main structure
//////////////////////////////////////////////////////////////////

// Load modules
use <mod_tube1.scad>;
use <mod_tube2.scad>;
use <mod_arandella.scad>;
use <mod_test1.scad>;
use <mod_keelsaddle1.scad>;
use <mod_kbbracket1.scad>;
use <mod_saddle1.scad>;
use <mod_noseplate1.scad>;

/////////////////////////////////////////////////////
// Main parameters
/////////////////////////////////////////////////////
nose_angle=60;
// Keel fist bolt insertion
kfbi=20;
// LE first bolt insertion
lefbi=20;

/////////////////////////////////////////////////////
// Leadind edge tubes
/////////////////////////////////////////////////////
le1_len=1000; 
le1_od=50;
le1_id=48;
le1_ins=100;

/////////////////////////////////////////////////////
// Keel tubes
/////////////////////////////////////////////////////
// Tube 1
kt1_od=45;
kt1_id=43;
kt2_od=42;
kt2_id=40;

/////////////////////////////////////////////////////
// Nose plate parameters
/////////////////////////////////////////////////////
np_a=60;
np_b=20;
np_c=50;
np_r=18;
np_thk=3; //3=aluminum 1.5=stainless steel

// Montage displacements
dz=0;  // Set to 30 to separe parts
dx=30;
dy=30;
dv=20; //displacement vertical

/////////////////////////////////////////////////////
// Leadig edge right
/////////////////////////////////////////////////////
translate([-np_a,np_b,0])
rotate([0,0,nose_angle]) {
// Tube part 1
color ([1,1,0])
tube2 (1000,le1_od,le1_id,-lefbi,
7,2,20,0);
// Tube part 2
color ([1,1,0])
tube2 (300,49,47,300);
// Tube part 3
color ([1,1,0])
tube2 (300,46,44,500);
}

/////////////////////////////////////////////////////
// Leadig edge left
/////////////////////////////////////////////////////
translate([np_a,np_b,0])
rotate([0,0,-nose_angle]) {
// Tube part 1
color ([1,1,0])
tube2 (1000,le1_od,le1_id,-lefbi,
7,2,20,0);
}

/////////////////////////////////////////////////////
// Keel
/////////////////////////////////////////////////////
// Tube part 1
color ([1,1,0])
tube2 (300,kt1_od,kt1_id,-kfbi,
7,2,20,0,
7,2,70,0,
7,2,20,0,
7,2,20,0);
// Tube part 2
color ([0,0,1])
tube2 (300,kt2_od,kt2_id,300);

// Nose plates
translate ([0,0,le1_od/2+3+dz*2])
noseplate1(np_a,np_b,np_c,np_r,np_thk);
translate ([0,0,-(le1_od/2+3+dz*2)])
rotate([0,180,0])
noseplate1(np_a,np_b,np_c,np_r,np_thk);

// Nose saddles
//Top
translate([0,0,kt1_od/2+5.5+dz])
rotate([0,180,0])
saddle1(35,12,5.5,kt1_od,7);
translate([0,np_c,kt1_od/2+5.5+dz])
rotate([0,180,0])
saddle1(35,12,5.5,kt1_od,7);
translate([-np_a,np_b,le1_od/2+3+dz])
rotate([0,180,nose_angle])
saddle1(35,8,3,le1_od,7);
translate([np_a,np_b,le1_od/2+3+dz])
rotate([0,180,-nose_angle])
saddle1(35,8,3,le1_od,7);

//Bottom
translate([0,0,-kt1_od/2-5.5-dz])
saddle1(35,8,5.5,kt1_od,7);
translate([0,np_c,-kt1_od/2-5.5-dz])
saddle1(35,8,5.5,kt1_od,7);
translate([-np_a,np_b,-le1_od/2-3-dz])
rotate([0,0,nose_angle])
saddle1(35,8,3,le1_od,7);
translate([np_a,np_b,-le1_od/2-3-dz])
rotate([0,0,-nose_angle])
saddle1(35,8,3,le1_od,7);

// Keel saddle
color("green") translate([0,400,-45/2-3-dz]) keelsaddle1 (30,50);

// Keel bracket
translate([0,400,-45/2-3-dz*2])
kbbracket1(50,10,80);

// Arandella
//color ([1,0,0])
//arandella (15,6,1);

// Noserail
translate([0,0,-le1_od/2-3-3-dz*3])
import_stl("noserail1.stl", convexity = 5);

