// Keel bottom bracket
// 2020-10-02

// Parameters
gru1=3;
sep_plates=60;
a_plate=50;
b_plate=10;
r_bo=20;
s_plate=20;

// Keel fisrt hole
kfh_dia=5;
kfh_shf=15;
// Keel second hole
ksh_dia=5;
ksh_shf=0;

// Set tot (0,0,0)
translate([0,0,-s_plate-b_plate*0.5])
rotate([90,0,90])

difference () {
union()    {
//Left plate
translate([0,0,sep_plates*0.5])
color ("grey") 
hull() {
   translate([0,s_plate,gru1*0.5]) cube([a_plate,b_plate,3], center=true);
   translate([0,0,0]) cylinder(r=r_bo,h=3, $fn=50);
}
//Right plate
translate([0,0,-sep_plates*0.5])
color ("grey") 
hull() {
   translate([0,s_plate,gru1*0.5]) cube([a_plate,b_plate,3], center=true);
   translate([0,0,0]) cylinder(r=r_bo,h=3, $fn=50);
}
// Top
color("grey")
translate([0,s_plate+b_plate*0.5,0])
rotate([90,0,0])
translate([0,0,gru1*0.5]) cube([a_plate,sep_plates,3], center=true);
}
translate([0,0,0]) color([1,0,0]) cylinder(r=4.5,h=200,center=true, $fn=50);
translate ([kfh_shf,0,0]) rotate([90,0,0]) color([1,0,0]) cylinder(d=kfh_dia,h=200,center=true, $fn=50);
translate ([ksh_shf,0,0]) rotate([90,0,0]) color([1,0,0]) cylinder(d=ksh_dia,h=200,center=true, $fn=50);
}


// Keel saddle
ks_disp=30;
ks_a=30;
ks_b=50;
ks_e1=3;
ks_e2=5;
keel_rad=22.5;

difference () {
    
 translate([0,0,ks_disp+0.5*(ks_e1+ks_e2)]) color("black") cube([ks_a,ks_b,ks_e1+ks_e2], center=true);
 translate([0,0,ks_disp+keel_rad+ks_e1]) rotate([90,0,0]) color("red") cylinder(r=keel_rad,h=ks_b+10,center=true, $fn=50);
 translate([0,kfh_shf,0]) color([1,0,0]) cylinder(d=kfh_dia,h=200,center=true, $fn=50);
 translate([0,ksh_shf,0]) color([1,0,0]) cylinder(d=ksh_dia,h=200,center=true, $fn=50);  
}

// color([1,0,0]) cylinder(d=ksh_dia,h=200,center=true, $fn=50);
// color([1,0,0]) cylinder(d=kfh_dia,h=200,center=true, $fn=50);

// Keel tube


keel_tk=1;
keel_dz=100;

difference() {
translate([0,0,keel_dz]) rotate([90,0,0]) color([1,1,0]) cylinder(r=keel_rad,h=300,center=true, $fn=50);
translate([0,0,keel_dz]) rotate([90,0,0]) color([1,1,0]) cylinder(r=keel_rad-keel_tk,h=300+10,center=true, $fn=50);
translate([0,kfh_shf,keel_dz]) color([1,0,0]) cylinder(d=kfh_dia,h=200,center=true, $fn=50);
translate([0,ksh_shf,keel_dz]) color([1,0,0]) cylinder(d=ksh_dia,h=200,center=true, $fn=50);
}


