// Nose rail type 1
// 2020-10-01

// Parameters
nr_thk=1.5;
nr_a=60;
nr_b=15;
nr_c=20;
nr_s1=20;
nr_s2=30;
nr_d1=7; //Diameter main holes
nr_d2=5; //Diameter horizontal holes
nr_sep=10;
nr_n=8; // no holes

// Keel fisrt hole
kfh_dia=5;
kfh_shf=15;
// Keel second hole
ksh_dia=5;
ksh_shf=0;


module noserail1(nr_a,nr_s1,nr_s2,nr_d1,nr_d2,nr_sep,nr_n) {

// Set tot (0,0,0)
translate([0,0,0])


difference () {
union()    {
//Left plate
color ([0.7,0.8,0.8]) 
translate([-nr_c/2+nr_thk/2,nr_a/2-nr_s1,-nr_b/2]) cube([nr_thk,nr_a,nr_b], center=true);
//Right plate
color ([0.7,0.8,0.8]) 
translate([nr_c/2-nr_thk/2,nr_a/2-nr_s1,-nr_b/2]) cube([nr_thk,nr_a,nr_b], center=true);
// Top
color ([0.7,0.8,0.8]) 
translate([0,nr_a/2-nr_s1,-nr_thk/2]) cube([nr_c,nr_a,nr_thk], center=true);
}

translate([0,0,0]) color([1,0,0]) cylinder(d=nr_d1,h=200,center=true, $fn=50);
translate([0,nr_s2,0]) color([1,0,0]) cylinder(d=nr_d1,h=200,center=true, $fn=50);
for ( i = [1:1:nr_n]) {
translate([0,10*(i-1),-nr_b/2-nr_thk]) rotate ([0,90,0]) 
color([1,0,0]) cylinder(d=nr_d2,h=100,center=true, $fn=50);
//Round rail corners
difference() {
translate([-45,-nr_s1-2,-nr_b-2]) cube([90,nr_b/2+2,nr_b/2+2],center=false);
translate([0,-nr_s1+nr_b/2,-nr_b/2]) rotate ([0,90,0]) 
color([1,0,0]) cylinder(r=nr_b/2,h=100,center=true, $fn=50);
}
translate([0,nr_a-nr_b,0])
difference() {
translate([-45,-nr_s1+nr_b/2,-nr_b-2]) cube([90,nr_b/2+2,nr_b/2+2],center=false);
translate([0,-nr_s1+nr_b/2,-nr_b/2]) rotate ([0,90,0]) 
color([1,0,0]) cylinder(r=nr_b/2,h=100,center=true, $fn=50);
}
}

}

}

noserail1(80,10,50,7,5,10,7);

